Page MenuHomeFreeBSD

Implement the IPv6 RSS software hash function
ClosedPublic

Authored by btw on Aug 19 2015, 9:59 AM.

Details

Summary

Implement the IPv6 RSS software hash function:

  • rss_proto_software_hash_v6 - hash the given source/destination IPv6 address, port and direction.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

btw retitled this revision from to Implement the IPv6 RSS software hash function.
btw updated this object.
btw edited the test plan for this revision. (Show Details)
btw added reviewers: adrian, hiren, gnn.
btw set the repository for this revision to rS FreeBSD src repository - subversion.
hiren edited edge metadata.

@adrian agreed to commit this.

This revision is now accepted and ready to land.Aug 19 2015, 5:30 PM
gnn requested changes to this revision.Aug 20 2015, 10:35 AM
gnn edited edge metadata.

Shouldn't the printf() be under a debug statement?

This revision now requires changes to proceed.Aug 20 2015, 10:35 AM
In D3423#70070, @gnn wrote:

Shouldn't the printf() be under a debug statement?

This change simply mirrors the implementation of [[ https://reviews.freebsd.org/diffusion/S/browse/head/sys/netinet/in_rss.c;286954$119 | rss_proto_software_hash_v4() ]]
in netinet/in_rss.c. And the current implementation of RSS subsystem lacks a DEBUG
option. So I think this issue can be solved by a separate patch.

adrian edited edge metadata.

We should commit it and then just replace the printf()'s with counters and optional rate limited debugging.

Let's do the latter part in a separate commit.

gnn edited edge metadata.

So long as that is the next commit on this file I am happy to accept this revision.

This revision is now accepted and ready to land.Aug 21 2015, 8:17 AM
This revision was automatically updated to reflect the committed changes.